# Project monitoring

Voici le project Monitoring de notre groupe composé de TRAN Alain, CRECSENDRE Cassandre et MACE Lloyd.

## Mise en place du Gitlab

Mise en place de git comme solution de versionnage du projet et de partage du répertoire de travail. 

- Responsable : Alain TRAN  
- Séance : 1  
- Commit :  

Ouverture d'un projet sur le gitlab de l'école et clonage du répertoire pour chacun des membres du groupe.  
URL sur gitlab [http://gvipers.imt-lille-douai.fr/alain.tran/projet_info.git]

## Upload et étude du projet des professeurs

Téléchargement du projet TicTacToeCodeingame écrit par les professeurs sur une ide Java (Netbeans sur notre groupe) et upload du projet sur la branche Master du Gitlab.

- Responsable : Alain TRAN  
- Séance : 1  
- Commit : 1a090909  

Etude du projet et des différentes classes afin de comprendre le programme initial.

## Classe Ordi_vs_Ordi

Création de la classe Ordi_vs_ordi pour que deux joueurs Ordis s'affrontent sur le jeu TicTacToe.

- Responsable : Alain TRAN
- Séance : 2
- Commit : efad39ce

Cette classe permet de faire jouer deux joueurs Ordis entre eux. Ainsi nous pourrons analyser nos algorithmes dans différentes configuration et voir comment un joueur Ordi
travaillant avec un certain algorithme joue contre un autre joueur Ordi avec un autre algorithme. On pourra ainsi comparer les algorithmes entre eux.

## Séparation du travail et création branches

Répartition du travail entre les différents membres du groupe et création des branches correspondantes

- Responsables : Alain TRAN, CRECSENDRE Cassandre, MACE LLOYD
- Séance : 2
- Commit :

Répartition du travail parmi les différents membres du groupe. Alain TRAN va travailler sur l'algorithme MinMax tandis que LLoyd MACE et Cassandre CRESCENDRE vont travailler sur
l'algorithme de Monte Carlo recherche arborescente.

## Classe AlgoRechercheMinMax

Création de la classe AlgorechercheMinMax dans le même repository TicTacToeCodeingame qui implémente l'algorithme MinMax.

- Responsable : Alain TRAN
- Séance : 2 - 3 - ... (en cours)
- Commit : f63e7648

Création de la classe MinMax et recherche des méthodes correspondantes en adéquation avec le programme déjà écrit (pour avoir un @Override correct).

## Classe AlgoRechercheMinMax - Méthode meilleurCoup

Création de la méthode meilleurCoup dans la classe AlgoRechercheMinMax.

- Responsable : Alain TRAN
- Séance : 3
- Commit : f63e7648

La méthode meilleurCoup va permettre à l'ordinateur de choisir le coup qui dispose du meilleur score et donc de la meilleur chance de gagner. Cette méthode sera celle qui 
sera override par la méthode meilleurCoup déjà existante dans la classe AlgoRecherche. Celle-ci utilisera également une autre méthode récursive minmax pas encore crée.

## Classe AlgoRechercheMinMax - Méthode minmax

Création et modification de la méthode minmax dans la classe AlgoRechercheMinMax.

- Responsable : Alain TRAN
- Séance : 3 - ... (contient des erreurs)
- Commit : 38cb9e19

Cette méthode est récursive et est celle qui va nous permettre de faire des simulations selon les coups joués et d'attribuer un score à chaque configuration possible à
partir d'une configuration donnée (par la liste des coups possibles et joués pour tel joueur).





